Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class GeneralSituationType

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.GeneralSituationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:01+01:00",
               comments="JAXB RI v2.2.11")
    public class GeneralSituationType

extends Object
implements Serializable

Java class for GeneralSituationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GeneralSituationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="2" minOccurs="0">
             <element name="Transfer" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}TransferType"/>
           </sequence>
           <attribute name="Event" use="required" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}EventType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GeneralSituationType()`

Method Summary
`EventType` | `getEvent()` Gets the value of the event property.
`List<TransferType>` | `getTransfers()` Gets the value of the transfers property.
`void` | `setEvent(EventType value)` Sets the value of the event property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralSituationType

    public GeneralSituationType()

Method Detail

### getTransfers

    public List<TransferType> getTransfers()

  Gets the value of the transfers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transfers property.

  For example, to add a new item, do as follows:

          getTransfers().add(newItem);

  Objects of the following type(s) are allowed in the list `TransferType`

### getEvent

    public EventType getEvent()

  Gets the value of the event property.

  Returns:
    possible object is `EventType`

### setEvent

    public void setEvent(EventType value)

  Sets the value of the event property.

  Parameters:
    `value` - allowed object is `EventType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.